set(ITKVtkGlue_LOADED 1)
set(ITKVtkGlue_ENABLE_SHARED "1")
set(ITKVtkGlue_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PUBLIC_DEPENDS "ITKCommon;ITKVTK")
set(ITKVtkGlue_TRANSITIVE_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PRIVATE_DEPENDS "")
set(ITKVtkGlue_LIBRARIES "ITKVtkGlue")
set(ITKVtkGlue_INCLUDE_DIRS "${ITK_INSTALL_PREFIX}/include/InsightToolkit;/usr/include/vtk;/usr/include;/usr/include/freetype2;/usr/include/eigen3")
set(ITKVtkGlue_LIBRARY_DIRS "")
set(ITKVtkGlue_RUNTIME_LIBRARY_DIRS "${ITK_INSTALL_PREFIX}/lib64/")
set(ITKVtkGlue_TARGETS_FILE "")
set(ITKVtkGlue_FACTORY_NAMES "")

set(VTK_DIR "/usr/lib64/cmake/vtk")

find_package(VTK NO_MODULE REQUIRED)

if(NOT VTK_VERSION)
  set(VTK_VERSION "8.2.0")
endif()
if(NOT VTK_RENDERING_BACKEND)
  set(VTK_RENDERING_BACKEND OpenGL)
endif()
set(_target_freetypeopengl)
if(TARGET vtkRenderingFreeTypeOpenGL2)
  set(_target_freetypeopengl vtkRenderingFreeTypeOpenGL2)
endif()

if( 8.2.0 VERSION_LESS 6.0.0 )
  set(ITKVtkGlue_VTK_INCLUDE_DIRS /usr/include/vtk;/usr/include/eigen3;/usr/include;/usr/include/freetype2;/usr/include/double-conversion;/usr/include/libxml2;/usr/include/python3.7m)
  set(ITKVtkGlue_VTK_LIBRARIES vtksys;vtkCommonCore;vtkCommonMath;vtkCommonMisc;vtkCommonSystem;vtkCommonTransforms;vtkCommonDataModel;vtkCommonColor;vtkCommonExecutionModel;vtkCommonComputationalGeometry;vtkFiltersCore;vtkFiltersGeneral;vtkImagingCore;vtkImagingFourier;vtkFiltersStatistics;vtkFiltersExtraction;vtkInfovisCore;vtkFiltersGeometry;vtkFiltersSources;vtkRenderingCore;/usr/lib64/libz.so;/usr/lib64/libfreetype.so;vtkRenderingFreeType;vtkRenderingContext2D;vtkChartsCore;/usr/lib64/libdouble-conversion.so;/usr/lib64/liblz4.so;/usr/lib64/liblzma.so;vtkIOCore;vtkIOLegacy;/usr/lib64/libexpat.so;vtkIOXMLParser;vtkIOXML;/usr/lib64/libxml2.so;vtkIOInfovis;/usr/lib64/libGLEW.so;vtkRenderingOpenGL2;vtkRenderingContextOpenGL2;vtkDICOMParser;vtkmetaio;/usr/lib64/libjpeg.so;/usr/lib64/libpng.so;/usr/lib64/libtiff.so;vtkIOImage;vtkTestingRendering;vtkImagingSources;vtkFiltersHybrid;vtkFiltersModeling;vtkImagingColor;vtkImagingGeneral;vtkImagingHybrid;vtkInteractionStyle;vtkRenderingAnnotation;vtkRenderingVolume;vtkInteractionWidgets;vtkViewsCore;vtkViewsContext2D;vtkFiltersProgrammable;verdict;vtkFiltersVerdict;vtkFiltersGeneric;/usr/lib64/libpython3.7m.so;vtkPythonInterpreter;vtkWrappingTools;vtkWrappingPythonCore;vtkFiltersPython;vtkIOGeometry;vtkTestingGenericBridge;vtkDomainsChemistry;vtkDomainsChemistryOpenGL2;vtkParallelCore;vtkFiltersAMR;/usr/lib64/libhdf5.so;/usr/lib64/libsz.so;/usr/lib64/libdl.so;/usr/lib64/libm.so;/usr/lib64/libhdf5_hl.so;vtkIOAMR;/usr/lib64/libnetcdf.so;vtkexodusII;vtkIOExodus;vtkImagingMath;vtkRenderingVolumeOpenGL2;vtkFiltersFlowPaths;vtkFiltersImaging;vtkRenderingLabel;vtkFiltersHyperTree;vtkImagingStencil;vtkFiltersParallel;vtkFiltersParallelImaging;vtkFiltersPoints;vtkFiltersSMP;vtkFiltersSelection;vtkIONetCDF;/usr/lib64/libjsoncpp.so;vtkIOParallel;vtkFiltersTexture;vtkFiltersTopology;vtkGUISupportQt;/usr/lib64/libsqlite3.so;vtkIOSQL;vtkGUISupportQtSQL;vtkInfovisLayout;/lib64/libproj.so;vtkGeovisCore;vtkViewsInfovis;vtkViewsGeovis;vtkIOAsynchronous;vtkIOCityGML;vtkIOEnSight;vtkgl2ps;vtkRenderingGL2PSOpenGL2;vtkIOExport;vtkIOExportOpenGL2;vtkInteractionImage;vtklibharu;vtkIOExportPDF;vtkIOImport;vtkIOLSDyna;vtkIOMINC;/usr/lib64/libogg.so;/usr/lib64/libtheoraenc.so;/usr/lib64/libtheoradec.so;vtkIOMovie;vtkIOMySQL;vtkTestingIOSQL;vtkIOPLY;vtkIOParallelXML;vtkIOPostgreSQL;vtkIOSegY;vtkIOTecplotTable;vtkIOVeraOut;vtkIOVideo;vtkImagingStatistics;vtkRenderingImage;vtkImagingMorphological;vtkRenderingLOD;vtkPythonContext2D;vtkRenderingParallel;vtkRenderingQt;vtkViewsQt;vtkWrappingJava)
else()
  set(_wrap_module)
  if(ITK_WRAP_PYTHON AND PYTHON_VERSION_STRING VERSION_LESS 3.0)
    set(_wrap_module vtkWrappingPythonCore)
  endif()
  vtk_module_config(ITKVtkGlue_VTK
    vtkRenderingOpenGL2
    vtkRenderingFreeType
    
    vtkInteractionStyle
    vtkIOImage
    vtkImagingSources
    
    )

  set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS ${ITKVtkGlue_VTK_DEFINITIONS})
endif()

